Difference between revisions of "Downloads"

From ApCoCoAWiki
 
(13 intermediate revisions by 5 users not shown)
Line 8: Line 8:
 
==ApCoCoA-2.0 Beta==
 
==ApCoCoA-2.0 Beta==
  
'''Short installation guide:'''
+
'''Short installation guide'''
 
# Download and unpack the zip file.
 
# Download and unpack the zip file.
 +
#* Unix: [https://apcocoa.uni-passau.de/download/apcocoa2_unix.tar.xz ApCoCoA 2 Beta]
 +
#* Windows: [https://apcocoa.uni-passau.de/download/apcocoa2_win.zip ApCoCoA 2 Beta]
 
# Run the start script:
 
# Run the start script:
#* On Windows go into the folder <code>apcocoa/bin</code> and run the file <code>launcher.exe</code>.  
+
#* On Windows run the file <code>apcocoa.bat</code>. To use all features of ApCoCoA you need to install WSL (see below).
#* On Unix go into the folder <code>apcocoa/bin</code> and run the script <code>start.sh</code>. <br/>You might need to make the script executable using the command <code>chmod +x ./start.sh</code>.
+
#* On Unix go into the folder <code>apcocoa/bin</code> and run the script <code>apcocoa.sh</code>. <br/>You might need to make the script executable using the command <code>chmod +x ./apcocoa.sh</code>.
  
* Windows: [http://apcocoa.uni-passau.de/download/apcocoa2_beta_win.zip ApCoCoA 2 Beta]
+
'''WSL'''
  
* Unix: [http://apcocoa.uni-passau.de/download/apcocoa2_beta_unix.zip ApCoCoA 2 Beta]
+
Some of the features of ApCoCoA like the ApCoCoA-Server are only available if you have WSL (Windows-Subsystem for Linux) installed. To install it you can follow the instructions [https://docs.microsoft.com/de-de/windows/wsl/install here].
 +
To activate WSL in ApCoCoA go to ''File>Settings>ApCoCoA Settings''.
  
 
==ApCoCoA-1.9.1==
 
==ApCoCoA-1.9.1==
Line 41: Line 44:
 
===ApCoCoA as Eclipse plug-in===
 
===ApCoCoA as Eclipse plug-in===
  
For using ApCoCoA-1.9.1 as Eclipse plug-in please go to [[HowTo:Install_and_Work_with_the_Eclipse_GUI|eclipse-GUI installation guide]].
+
For using ApCoCoA-1.9.1 as Eclipse plug-in please go to [[ApCoCoA-1:HowTo:Install and Work with the Eclipse GUI|eclipse-GUI installation guide]].
  
 
===Well-known Qt-GUI===
 
===Well-known Qt-GUI===
Line 62: Line 65:
 
# Download and unpack the Eclipse GUI package.
 
# Download and unpack the Eclipse GUI package.
 
# Go into the folder apcocoa and start apcocoa.exe
 
# Go into the folder apcocoa and start apcocoa.exe
Here you can download a short [[Media:quick_start.pdf|quick-start User Guide]] and here you find a [[ApCoCoA:tut_eclipse_gui_de|Tutorial]] in German.
+
Here you can download a short [[Media:quick_start.pdf|quick-start User Guide]] and here you find a [[ApCoCoA-1:tut_eclipse_gui_de|Tutorial]] in German.
  
 
* Windows x86-Installer: [http://apcocoa.uni-passau.de/download/apcocoa/win32/ApCoCoA-1.9.0.exe ApCoCoA-1.9 Release] with [http://apcocoa.uni-passau.de//download/apcocoa/win32/ApCoCoA-1.9.0.exe.md5 md5sum] (2013/05/17)
 
* Windows x86-Installer: [http://apcocoa.uni-passau.de/download/apcocoa/win32/ApCoCoA-1.9.0.exe ApCoCoA-1.9 Release] with [http://apcocoa.uni-passau.de//download/apcocoa/win32/ApCoCoA-1.9.0.exe.md5 md5sum] (2013/05/17)
Line 76: Line 79:
 
===ApCoCoA as Eclipse plug-in===
 
===ApCoCoA as Eclipse plug-in===
  
For using ApCoCoA-1.9 as Eclipse plug-in please go to [[HowTo:Install_and_Work_with_the_Eclipse_GUI|eclipse-GUI installation guide]].
+
For using ApCoCoA-1.9 as Eclipse plug-in please go to [[ApCoCoA-1:HowTo:Install_and_Work_with_the_Eclipse_GUI|eclipse-GUI installation guide]].
  
 
===Well-known Qt-GUI===
 
===Well-known Qt-GUI===
Line 97: Line 100:
 
# Download and unpack the Eclipse GUI package.
 
# Download and unpack the Eclipse GUI package.
 
# Go into the folder apcocoa and start apcocoa.exe
 
# Go into the folder apcocoa and start apcocoa.exe
Here you can download a short [[Media:quick_start.pdf|quick-start User Guide]] and here you find a [[ApCoCoA:tut_eclipse_gui_de|Tutorial]] in German.
+
Here you can download a short [[Media:quick_start.pdf|quick-start User Guide]] and here you find a [[ApCoCoA-1:tut_eclipse_gui_de|Tutorial]] in German.
  
 
* Windows x86-Installer: [http://apcocoa.uni-passau.de/download/apcocoa/win32/ApCoCoA-1.8.0.exe ApCoCoA-1.8 Release] with [http://apcocoa.uni-passau.de/download/apcocoa/win32/ApCoCoA-1.8.0.exe.md5 md5sum] (2012/06/19)
 
* Windows x86-Installer: [http://apcocoa.uni-passau.de/download/apcocoa/win32/ApCoCoA-1.8.0.exe ApCoCoA-1.8 Release] with [http://apcocoa.uni-passau.de/download/apcocoa/win32/ApCoCoA-1.8.0.exe.md5 md5sum] (2012/06/19)
Line 111: Line 114:
 
===ApCoCoA as Eclipse plug-in===
 
===ApCoCoA as Eclipse plug-in===
  
For using ApCoCoA-1.8 as Eclipse plug-in please go to [[HowTo:Install_and_Work_with_the_Eclipse_GUI|eclipse-GUI installation guide]].
+
For using ApCoCoA-1.8 as Eclipse plug-in please go to [[ApCoCoA-1:HowTo:Install_and_Work_with_the_Eclipse_GUI|eclipse-GUI installation guide]].
  
 
===Well-known Qt-GUI===
 
===Well-known Qt-GUI===
Line 129: Line 132:
 
==Older versions==
 
==Older versions==
  
For using an earlier version of ApCoCoA please go to [[ApCoCoA:Older Versions]]!
+
For using an earlier version of ApCoCoA please go to [[ApCoCoA-1:Older Versions]]!
  
  
Line 135: Line 138:
 
To build ApCoCoALib from source, please follow the [[ApCoCoALib:CompilationInstructions|compilation instructions]].
 
To build ApCoCoALib from source, please follow the [[ApCoCoALib:CompilationInstructions|compilation instructions]].
  
The [[ApCoCoA:SourceCodeManagement|subversion repository]] contains the bleeding-edge developmental versions of ApCoCoALib.
+
The [[ApCoCoA-1:SourceCodeManagement|subversion repository]] contains the bleeding-edge developmental versions of ApCoCoALib.
  
For using an earlier version of ApCoCoALib please go to [[ApCoCoA:Older Versions]]!
+
For using an earlier version of ApCoCoALib please go to [[ApCoCoA-1:Older Versions]]!
  
  
 
=ApCoCoA-Matlab-Interface=
 
=ApCoCoA-Matlab-Interface=
Only available for MS Windows. For details see [[ApCoCoA:MatlabToolbox]].
+
Only available for MS Windows. For details see [[ApCoCoA-1:MatlabToolbox]].
 
*[http://apcocoa.uni-passau.de/~mmachnik/interface/Setup1-02.zip Version 1.02] - Based on CoCoALib 0.99.25 and ApCoCoALib as of 30.01.2009.
 
*[http://apcocoa.uni-passau.de/~mmachnik/interface/Setup1-02.zip Version 1.02] - Based on CoCoALib 0.99.25 and ApCoCoALib as of 30.01.2009.
  
 
[[Category:ApCoCoA|{{PAGENAME}}]]
 
[[Category:ApCoCoA|{{PAGENAME}}]]
 
[[Category:ApCoCoA|Lib{{PAGENAME}}]]
 
[[Category:ApCoCoA|Lib{{PAGENAME}}]]
 +
[[Category:ApCoCoA Installation]]

Latest revision as of 11:28, 28 October 2021

The new ApCoCoA 2.0 provides a graphical user interface for CoCoA 5. Note that this is still a beta-release and not all additional capabilities of the old ApCoCoA library are available yet.

The 1.* releases provide the functionality of CoCoA 4.7 together with the additional capabilities of the ApCoCoA library. They are equipped with a graphical user interface. For the official CoCoA releases, visit the CoCoA home page.


ApCoCoA

ApCoCoA-2.0 Beta

Short installation guide

  1. Download and unpack the zip file.
  2. Run the start script:
    • On Windows run the file apcocoa.bat. To use all features of ApCoCoA you need to install WSL (see below).
    • On Unix go into the folder apcocoa/bin and run the script apcocoa.sh.
      You might need to make the script executable using the command chmod +x ./apcocoa.sh.

WSL

Some of the features of ApCoCoA like the ApCoCoA-Server are only available if you have WSL (Windows-Subsystem for Linux) installed. To install it you can follow the instructions here. To activate WSL in ApCoCoA go to File>Settings>ApCoCoA Settings.

ApCoCoA-1.9.1

The current version of ApCoCoA is ApCoCoA-1.9.1!

Eclipse GUI - Standalone Version

Short installation guide:

  1. Download and unpack the Eclipse GUI package.
  2. Go into the folder apcocoa and start apcocoa.exe

Here you can download a short Quick-Start User Guide and here you find a Tutorial in German.

ApCoCoA as Eclipse plug-in

For using ApCoCoA-1.9.1 as Eclipse plug-in please go to eclipse-GUI installation guide.

Well-known Qt-GUI

ApCoCoA-1.9

Eclipse GUI - Standalone Version

Short installation guide:

  1. Download and unpack the Eclipse GUI package.
  2. Go into the folder apcocoa and start apcocoa.exe

Here you can download a short quick-start User Guide and here you find a Tutorial in German.

  • MacOSx: ApCoCoA-1.9 Release with md5sum (2013/05/17)
    Please note: ApCoCoAServer for Mac OS X requires an Intel 64-bit based platform!

ApCoCoA as Eclipse plug-in

For using ApCoCoA-1.9 as Eclipse plug-in please go to eclipse-GUI installation guide.

Well-known Qt-GUI

ApCoCoA-1.8

Eclipse GUI - Standalone Version

Short installation guide:

  1. Download and unpack the Eclipse GUI package.
  2. Go into the folder apcocoa and start apcocoa.exe

Here you can download a short quick-start User Guide and here you find a Tutorial in German.

  • MacOSx: ApCoCoA-1.8 Release with md5sum (2012/06/19)
    Please note: ApCoCoAServer for Mac OS X requires an Intel 64-bit based platform!

ApCoCoA as Eclipse plug-in

For using ApCoCoA-1.8 as Eclipse plug-in please go to eclipse-GUI installation guide.

Well-known Qt-GUI


Older versions

For using an earlier version of ApCoCoA please go to ApCoCoA-1:Older Versions!


ApCoCoALib

To build ApCoCoALib from source, please follow the compilation instructions.

The subversion repository contains the bleeding-edge developmental versions of ApCoCoALib.

For using an earlier version of ApCoCoALib please go to ApCoCoA-1:Older Versions!


ApCoCoA-Matlab-Interface

Only available for MS Windows. For details see ApCoCoA-1:MatlabToolbox.

  • Version 1.02 - Based on CoCoALib 0.99.25 and ApCoCoALib as of 30.01.2009.